$(function() {
		   
	$('.frame_content').hide();
	
	var categoryname = 'hotel';
	


	parent.$('#autoF').attr('height' , document.body.scrollHeight+10);
	
	$('.info_open').each(function(i){
		$(this).click(function(){
			var cid = $(this).attr('cid');
			if($(this).html() == '展开')
			{
				$(this).html('收起');
			}else
			{
				$(this).html('展开');
			}
			$('.frame_content_' + cid).toggle();
			parent.$('#autoF').attr('height' , document.body.scrollHeight);
		});
	});
	
	$('.info_checked').each(function(i){
		$(this).click(function(){
			var cid = $(this).attr('cid');

			$('.li_' + cid).attr('checked' , 'checked');
			$('.frame_content_' + cid).show();
			$('.info_open')[i].innerHTML = '收起';	
			parent.$('#autoF').attr('height' , document.body.scrollHeight);
			
			$('.li_' + cid).each(function(i){
				var id = $(this).attr('value');		
				var type = 0;
				
				$.post("?m=admin/Pay.ctrlNoPay", { id:id , type:type , categoryname:categoryname }, function(data) {});
			});	
			
		});
		
		
	});
	
	$('.info_close').each(function(i){
								
		$(this).click(function(){
			
			var cid = $(this).attr('cid');
			$('.li_' + cid).attr('checked' , false);
			$('.frame_content_' + cid).show();
			
			$('.info_open')[i].innerHTML = '收起';
			parent.$('#autoF').attr('height' , document.body.scrollHeight);
			
			$('.li_' + cid).each(function(i){
				var id = $(this).attr('value');		
				var type = 1;
				$.post("?m=admin/Pay.ctrlNoPay", { id:id , type:type, categoryname:categoryname }, function(data) {});
			});	
			
		});
	});
	
	$('.li_all').each(function(i){				 
		$(this).click(function(){
			var type = '';
			if($(this).attr('checked') == 'checked')
			{
				type = 0;
			}else{
				type = 1;
			}

			var id = $(this).attr('value');
			
			$.post("?m=admin/Pay.ctrlNoPay", { id:id , type:type, categoryname:categoryname }, function(data) {});
		});
	});
	
	
});